AddToListSizeTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.AddToListSizeTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class AddToListSizeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.VarSetterBaseTag
              org.hyperic.hq.ui.taglib.AddToListSizeTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AddToListSizeTag

extends VarSetterBaseTag

Set the scoped variable as the value of `Constants.ADDTOLIST_SIZE_DEFAULT`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AddToListSizeTag()`

Method Summary
`int` | `doStartTag()` Process the tag, setting the value of the scoped variable as the size of the Add To List widget.

Methods inherited from class org.hyperic.hq.ui.taglib.VarSetterBaseTag
`getVar, release, setScope, setScopedVariable, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddToListSizeTag

    public AddToListSizeTag()

Method Detail

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Process the tag, setting the value of the scoped variable as the size of the Add To List widget.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if there is an error processing the tag

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.